/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/mixins/_fonts.scss';
@import 'css/_variables.scss';
@import 'css/_general_styling.scss';

.m-projectProgressCard {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 1.625rem;
  width: 22.875rem;
  min-width: 22.875rem;
  background: $coa-project-progress-card-background;
  box-shadow: 1px 1px 10px rgba(66, 70, 75, 0.25);
  border-radius: 12px;
  padding-block: 1.31rem;

  @include breakpoint(xs) {
    min-width: unset;
    width: 100%;
  }

  @include breakpoint(md) {
    margin-top: 25px;
    padding: 1.31rem 24px;
    width: 100%;
  }

  &__title {
    margin: 0 !important;

    &.--progress {
      @include primary-text(0.75rem, $coa-green-aqua-100, 400);
    }
    &.--expenses {
      @include primary-text(0.75rem, $coa-dark-gray-100, 400);
    }
  }
  &__title h1::after {
    @include respond(md) {
      left: 15px !important;
    }
  }

  &__value {
    &.--progress {
      @include primary-text(1.25rem, $coa-green-aqua-100, 500);
    }
    &.--expenses {
      @include primary-text(1.25rem, $coa-dark-gray-100, 500);
    }
  }

  &__icon {
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    width: 24px;
    height: 24px;
    font-size: $coa-white-100;
    display: flex;
    justify-content: center;
    align-items: center;
    color: $coa-white-100;
    &.--progress {
      background: $coa-green-aqua-100;
    }
    &.--expenses {
      background: $coa-dark-gray-100;
    }
  }
  &__info {
    display: flex;
    align-items: center;
    column-gap: 0.75rem;
  }
  &__infoContainer {
    display: flex;
    flex-direction: column;
    row-gap: 0.93rem;
  }
}
